> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an evidence

> Retrieves a specific piece of evidence by ID.



## OpenAPI

````yaml GET /projects/{project_id}/events/{event_id}/evidences/{evidence_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/events/{event_id}/evidences/{evidence_id}:
    get:
      summary: Retrieve an evidence
      description: Retrieves a specific piece of evidence by ID.
      operationId: get-file-url-for-a-specific-piece-of-evidence
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: event_id
          in: path
          schema:
            type: string
          required: true
          description: >-
            Unique event ID in the `evt_XXXX` syntax. For example:
            `evt_DLnYvzbjSujNAvXE`
        - name: evidence_id
          in: path
          schema:
            type: string
          required: true
          description: Unique numerical ID of evidence.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1
                    type: file
                    url: XXXXXXX
                    name: Receipt.pdf
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    default: 0
                  evidence_type:
                    type: string
                    description: Can be 'file' or 'url'
                    example: file
                  name:
                    type: string
                    description: Display name of the evidence (be it a file or a url)
                    example: Receipt.pdf
                  url:
                    type: string
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                    example: 404
                    default: 0
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````